Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21498

Description

Hi,

I experience this issue when try to export a shapefile to another shapefile using the "save vector as".

The issue trigger if the number of element is more then 8.900 about.

I prepare a sample shapefile with 9.000 about elements.

If I try to do a "save vector as" I have an error :

"feauture geometry not imported (ogr)"

If I select a number of element less than 8000 and choose the option

"save selection" the export is done without problems.

The issue is also on QGIS 2.10.1 and also in QGIS-dev.

Instead the QGIS 2.8.3 export without any error.

Regards.

Associated revisions

Revision 8ed78501 - 2015-09-30 01:52 AM - Giuseppe Sucameli

QgsVectorFileWriter fails to export features containing Multi*25D geometries (fix #13451)

History

#1 - 2015-09-29 01:21 PM - aperi2007 -

- File sample.7z added

#2 - 2015-09-29 01:22 PM - Sandro Santilli

- Tag set to regression

does the 2.8.3 version uses the same GDAL version ?

#3 - 2015-09-29 01:25 PM - aperi2007 -
I checked.

The qgis 2.8.3 use the gdal/ogr 1.11.2

The qgis 2.10.1 use the same gdal/ogr 1.11.2

#4 - 2015-09-29 01:31 PM - aperi2007 -

- File result.gif added

I add an image to show the error.

#5 - 2015-09-29 02:46 PM - aperi2007 -

Hi, thx to our gfoss's friend Toto Fiandaca I can put a quick video to show better the issue.

The video is available here.

[[http://1drv.ms/1JAL7Hq]]

Regards.

#6 - 2015-09-29 04:52 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"8ed785018628ea8b818f5aab82e7a474adcc0fb5".

#7 - 2015-09-29 04:56 PM - Giuseppe Sucameli

- Resolution set to fixed/implemented

It was due to MultiPolygon25D geometries. Fixed now.

Files

sample.7z 493 KB 2015-09-29 aperi2007 -

result.gif 47.2 KB 2015-09-29 aperi2007 -
